Subject: Contract Proposals
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 18 Jun 2001 15:56:00 -0700 (PDT)

You should have recently received an e-mail from Amy Fitzpatrick with proposed contract numbers for most of the people in my group.  I have met with each person on my staff to discuss ballpark numbers.  I don't have definitive offers from anyone, nor have I shown them definitive bids.  However, I have asked each person to provide me with a ballpark value that they would be willing to do.  On an encouraging note, the ballpark values were in line with what we ultimately offered Crandall.  However, these values are significantly above the "standard proposal" put forth earlier.  I would very much like to get these guys done without forcing them into the painful shopping process.  I think these numbers get us there and are consistent with what I believe to be "market" for west power traders, as is evidenced by Sean Crandall.

I would like to set up a meeting to discuss ASAP.  Perhaps David should figure out a time for us to get together to talk through the spreadsheet.